(setq nic-hiragana-alist
  '((?1 . "1") (?2 . "2") (?3 . "3") (?4 . "4") (?5 . "5") 
    (?6 . "6") (?7 . "7") (?8 . "8") (?9 . "9") (?0 . "0") 
    (?- . "-") (?= . "=") 
    (?q . "") (?w . "") (?e . "") (?r . "") (?t . "") 
    (?y . "") (?u . "") (?i . "") (?o . "") (?p . "") 
    (?\[ . "") (?] . "") 
    (?a . "") (?s . "") (?d . "") (?f . "") (?g . "") 
    (?h . "") (?j . "") (?k . "") (?l . "") (?\; . "") 
    (?z . "") (?x . "") (?c . "") (?v . "") (?b . "") 
    (?n . "") (?m . "") (?, . "") (?. . "") (?/ . "") 
    ;
    (?! . "!") (?@ . "@") (?# . "#") (?$ . "$") (?% . "%") 
    (?^ . "^") (?& . "&") (?* . "*") (?\( . "(") (?\) . ")") 
    (?_ . "_") (?+ . "+") 
    (?Q . "") (?W . "") (?E . "") (?R . "") (?T . "") 
    (?Y . "") (?U . "") (?I . "") (?O . "") (?P . "") 
    (?{ . "") (?} . "") 
    (?A . "") (?S . "") (?D . "") (?F . "") (?G . "") 
    (?H . "") (?J . "") (?K . "") (?L . "") (?: . "") 
    (?Z . "") (?X . "") (?C . "") (?V . "") (?B . "") 
    (?N . "") (?M . "") (?< . "") (?> . "") (?? . "") 
    ))

(setq nic-rshift-hiragana-list
  '((?1 . "") (?2 . "") (?3 . "") (?4 . "") (?5 . "") 
    (?6 . "") (?7 . "") (?8 . "") (?9 . "") (?0 . "") 
    (?- . "") (?= . "") 
    (?q . "") (?w . "") (?e . "") (?r . "") (?t . "") 
    (?y . "") (?u . "") (?i . "") (?o . "") (?p . "") 
    (?\[ . "") (?] . "") 
    (?a . "") (?s . "") (?d . "") (?f . "") (?g . "") 
    (?h . "") (?j . "") (?k . "") (?l . "") (?\; . "") 
    (?z . "") (?x . "") (?c . "") (?v . "") (?b . "") 
    (?n . "") (?m . "") (?, . "") (?. . "") (?/ . "") 
    ))

(setq nic-lshift-hiragana-list
  '((?1 . "") (?2 . "") (?3 . "") (?4 . "") (?5 . "") 
    (?6 . "") (?7 . "") (?8 . "") (?9 . "") (?0 . "") 
    (?- . "") (?= . "") 
    (?q . "") (?w . "") (?e . "") (?r . "") (?t . "") 
    (?y . "") (?u . "") (?i . "") (?o . "") (?p . "") 
    (?\[ . "") (?] . "") 
    (?a . "") (?s . "") (?d . "") (?f . "") (?g . "") 
    (?h . "") (?j . "") (?k . "") (?l . "") (?\; . "") 
    (?z . "") (?x . "") (?c . "") (?v . "") (?b . "") 
    (?n . "") (?m . "") (?, . "") (?. . "") (?/ . "") 
    ))

(setq nic-katakana-list
  '((?1 . "1") (?2 . "2") (?3 . "3") (?4 . "4") (?5 . "5") 
    (?6 . "6") (?7 . "7") (?8 . "8") (?9 . "9") (?0 . "0") 
    (?- . "-") (?= . "=") 
    (?q . "") (?w . "") (?e . "") (?r . "") (?t . "") 
    (?y . "") (?u . "") (?i . "") (?o . "") (?p . "") 
    (?\[ . "") (?] . "") 
    (?a . "") (?s . "") (?d . "") (?f . "") (?g . "") 
    (?h . "") (?j . "") (?k . "") (?l . "") (?\; . "") 
    (?z . "") (?x . "") (?c . "") (?v . "") (?b . "") 
    (?n . "") (?m . "") (?, . "") (?. . "") (?/ . "") 
    ;
    (?! . "!") (?@ . "@") (?# . "#") (?$ . "$") (?% . "%") 
    (?^ . "^") (?& . "&") (?* . "*") (?\( . "(") (?\) . ")") 
    (?_ . "_") (?+ . "+") 
    (?Q . "") (?W . "") (?E . "") (?R . "") (?T . "") 
    (?Y . "") (?U . "") (?I . "") (?O . "") (?P . "") 
    (?{ . "") (?} . "") 
    (?A . "") (?S . "") (?D . "") (?F . "") (?G . "") 
    (?H . "") (?J . "") (?K . "") (?L . "") (?: . "") 
    (?Z . "") (?X . "") (?C . "") (?V . "") (?B . "") 
    (?N . "") (?M . "") (?< . "") (?> . "") (?? . "") 
    ))

(setq nic-rshift-katakana-list
  '((?1 . "") (?2 . "") (?3 . "") (?4 . "") (?5 . "") 
    (?6 . "") (?7 . "") (?8 . "") (?9 . "") (?0 . "") 
    (?- . "") (?= . "") 
    (?q . "") (?w . "") (?e . "") (?r . "") (?t . "") 
    (?y . "") (?u . "") (?i . "") (?o . "") (?p . "") 
    (?\[ . "") (?] . "") 
    (?a . "") (?s . "") (?d . "") (?f . "") (?g . "") 
    (?h . "") (?j . "") (?k . "") (?l . "") (?\; . "") 
    (?z . "") (?x . "") (?c . "") (?v . "") (?b . "") 
    (?n . "") (?m . "") (?, . "") (?. . "") (?/ . "") 
    ))

(setq nic-lshift-katakana-list
  '((?1 . "") (?2 . "") (?3 . "") (?4 . "") (?5 . "") 
    (?6 . "") (?7 . "") (?8 . "") (?9 . "") (?0 . "") 
    (?- . "") (?= . "") 
    (?q . "") (?w . "") (?e . "") (?r . "") (?t . "") 
    (?y . "") (?u . "") (?i . "") (?o . "") (?p . "") 
    (?\[ . "") (?] . "") 
    (?a . "") (?s . "") (?d . "") (?f . "") (?g . "") 
    (?h . "") (?j . "") (?k . "") (?l . "") (?\; . "") 
    (?z . "") (?x . "") (?c . "") (?v . "") (?b . "") 
    (?n . "") (?m . "") (?, . "") (?. . "") (?/ . "") 
    ))

